Custom Checkout Fields
Delete Custom Field
Delete a custom field.
Scopes: custom_fields:write
DELETE
/
v1
/
custom-fields
/
{id}
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
polar.custom_fields.delete(
'00000000-0000-4000-8000-000000000000',
)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
await polar.customFields.delete(
"00000000-0000-4000-8000-000000000000",
);
curl --request DELETE \
--url https://api.polar.sh/v1/custom-fields/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/custom-fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/custom-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Was this page helpful?
Previous
Get Customer StateGet a customer state by ID.
The customer state includes information about
the customer's active subscriptions and benefits.
It's the ideal endpoint to use when you need to get a full overview
of a customer's status.
**Scopes**: `customers:read` `customers:write`
Next
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
polar.custom_fields.delete(
'00000000-0000-4000-8000-000000000000',
)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
await polar.customFields.delete(
"00000000-0000-4000-8000-000000000000",
);

